#include <bits/stdc++.h>

using namespace std;

long long Konflikt(int n, int m, int* a, int *b){
    long long mn=LLONG_MAX;
    if(n>550 or m>550)return 0;
    for(int x=0;x<m;x++){
        vector<int>p(n);

        for(int i=1;i<=n;i++){
            p[i]=(a[i]+x)%m;
        }
        for(int j=0;j<n;j++){
            long long sum=0;
            for(int pos=1;pos<=n;pos++){
                sum+=min(abs(p[pos]-b[(pos+j)%n]),m-abs(p[pos]-b[(pos+j)%n]));
            }
            mn=min(mn,sum);
        }


    }
    return mn;
}